package com.zjrs.zwnw.bsdb.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.bsdb.blo.DbsxBLO;
import com.zjrs.zwnw.bsdb.bpo.DbsxBPO;
import com.zjrs.zwnw.bsdb.dto.*;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class DbsxBPOImpl extends BPOImpl implements DbsxBPO {

    @Resource
    DbsxBLO dbsxBLO;

    @Override
    public PageResult queryDbglTimeoutList(VRsSlxxRemaindatePageQueryDTO dto) {
        return dbsxBLO.queryDbglTimeoutList(dto);
    }

    @Override
    public PageResult queryDbglDbList(DbglPageQueryDTO dto) {
        return dbsxBLO.queryDbglDbList(dto);
    }

    @Override
    public PageResult queryDbglYbList(DbglPageQueryDTO dto) {
        return dbsxBLO.queryDbglYbList(dto);
    }

    @Override
    public PageResult queryDbglList(DbglPageQueryDTO dto) {
        return dbsxBLO.queryDbglList(dto);
    }

    @Override
    public RsBsdbDbsxDTO dbglQuery(DbglQueryDTO dto) {
        return dbsxBLO.dbglQuery(dto);
    }

    @Override
    public RsBsdbDbsxDTO dbglSave(RsBsdbDbsxSaveDTO dto) {
        return dbsxBLO.dbglSave(dto);
    }

    @Override
    public void dbglDelete(DbglDeleteDTO dto) {
        dbsxBLO.dbglDelete(dto);
    }

    @Override
    public Map<String, String> queryProcess(DbglQueryDTO dto) {
        return dbsxBLO.queryProcess(dto);
    }

    @Override
    public void dbglPublish(DbglPublishDTO dto) {
        dbsxBLO.dbglPublish(dto);
    }

    @Override
    public void dbglUrge(DbglQueryDTO dto) {
        dbsxBLO.dbglUrge(dto);
    }

    @Override
    public RsBsdbDbsxDTO dbglAppraise(DbglAppraiseSaveDTO dto) {
        return dbsxBLO.dbglAppraise(dto);
    }

    @Override
    public PageResult queryReportformsList(DbglPageQueryDTO dto) {
        return dbsxBLO.queryReportformsList(dto);
    }

    @Override
    public Map<String, Object> queryReportforms(DbglReportFormsQueryDTO dto) {
        return dbsxBLO.queryReportforms(dto);
    }

    @Override
    public Map<String, Object> queryStatisForFzdwsxtj(DbglReportFormsQueryDTO dto) {
        return dbsxBLO.queryStatisForFzdwsxtj(dto);
    }

    @Override
    public List<TreeNodeDTO> queryUserTree(Map<String, Object> params) {
        return dbsxBLO.queryUserTree(params);
    }

    @Override
    public void dbglAssign(DbglAssignDTO dto) {
        dbsxBLO.dbglAssign(dto);
    }

    @Override
    public void dbglFeedback(DbglFeedbackSaveDTO dto) {
        dbsxBLO.dbglFeedback(dto);
    }

    @Override
    public void dbglFeedbackSubmit(DbglFeedbackSaveDTO dto) {
        dbsxBLO.dbglFeedbackSubmit(dto);
    }

    @Override
    public PageResult queryDbglWorkspaceDbList(DbglPageQueryDTO dto) {
        return dbsxBLO.queryDbglWorkspaceDbList(dto);
    }

    @Override
    public PageResult queryDbglWorkspaceYbList(DbglPageQueryDTO dto) {
        return dbsxBLO.queryDbglWorkspaceYbList(dto);
    }

    @Override
    public List<TreeNodeDTO> queryUserOrg(Map<String, Object> params) {
        return dbsxBLO.queryUserOrg(params);
    }
}
